Package org.apache.tapestry5.ioc.internal.services

## Class ExceptionInfoImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.services.ExceptionInfoImpl

- All Implemented Interfaces:
    `ExceptionInfo`

      public class ExceptionInfoImpl
      extends java.lang.Object
      implements ExceptionInfo

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionInfoImpl​(java.lang.Throwable t, java.util.Map<java.lang.String,​java.lang.Object> properties, java.util.List<java.lang.StackTraceElement> stackTrace)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassName()` | The exception class name.
    `java.lang.String` | `getMessage()` | The message associated with the exception, possibly null.
    `java.lang.Object` | `getProperty​(java.lang.String name)` | Returns a specific property of the exception by name.
    `java.util.List<java.lang.String>` | `getPropertyNames()` | Returns the names of the properties of the exception, sorted alphabetically.
    `java.util.List<java.lang.StackTraceElement>` | `getStackTrace()` | Returns the stack trace elements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionInfoImpl

          public ExceptionInfoImpl​(java.lang.Throwable t,
                                   java.util.Map<java.lang.String,​java.lang.Object> properties,
                                   java.util.List<java.lang.StackTraceElement> stackTrace)

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

      Description copied from interface: `ExceptionInfo`
      The exception class name.
      Specified by:
        `getClassName` in interface `ExceptionInfo`

    - #### getMessage

          public java.lang.String getMessage()

      Description copied from interface: `ExceptionInfo`
      The message associated with the exception, possibly null.
      Specified by:
        `getMessage` in interface `ExceptionInfo`

    - #### getProperty

          public java.lang.Object getProperty​(java.lang.String name)

      Description copied from interface: `ExceptionInfo`
      Returns a specific property of the exception by name.
      Specified by:
        `getProperty` in interface `ExceptionInfo`

    - #### getPropertyNames

          public java.util.List<java.lang.String> getPropertyNames()

      Description copied from interface: `ExceptionInfo`
      Returns the names of the properties of the exception, sorted alphabetically.
      Specified by:
        `getPropertyNames` in interface `ExceptionInfo`

    - #### getStackTrace

          public java.util.List<java.lang.StackTraceElement> getStackTrace()

      Description copied from interface: `ExceptionInfo`
      Returns the stack trace elements. Generally this is an empty list except for the deepest exception.
      Specified by:
        `getStackTrace` in interface `ExceptionInfo`